SDL_zeroa(3)

NAME
SDL_zeroa - Clear an array's memory to zero.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

#define SDL_zeroa(x) SDL_memset((x), 0, sizeof((x)))

DESCRIPTION
This is wrapper over SDL_memset that handles calculating the array size, so there's no chance of copy/paste errors, and the code is cleaner.

This requires an array, not an object, nor a pointer to an object.

MACRO PARAMETERS

x   an array to clear.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.

SEE ALSO
SDL_zero(3), SDL_zeroa(3)